---
title: Get Customer Information
slug: data-platform/api/get-customer-information
docTags: 
createdAt: 2026-09-02T14:41:00.110Z
---

{
  "id": "LYhp7M6J3LRuqI9SzZGMe",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.us1.odp.optimizely.com/v3/profiles",
    "servers": [
      {
        "url": "https://api.us1.odp.optimizely.com/v3/profiles",
        "description": "United States"
      },
      {
        "url": "https://api.eu1.odp.optimizely.com/v3/profiles",
        "description": "Europe"
      },
      {
        "url": "https://api.au1.odp.optimizely.com/v3/profiles",
        "description": "Asia-Pacific"
      }
    ],
    "name": "Get Customer Information",
    "description": "Get the attributes and identifiers associated with a customer.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "required",
          "name": "params",
          "type": "object",
          "example": "{\"vuid\":\"7367361510212356712212576900906231\"}",
          "examples": [
            {
              "label": "VUID Identifier",
              "value": "{\"vuid\":\"7367361510212356712212576900906231\"}"
            },
            {
              "label": "Email Identifier",
              "value": "{\"email\":\"customer@email.com\"}"
            }
          ],
          "description": "<p>The name and value for any single identifier. Replace this with any valid identifier (for example, email, vuid, and so on).</p>",
          "customType": "map<string, string>",
          "schema": []
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "x-api-key",
          "name": "x-api-key",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "202",
        "description": "Accepted",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"attributes\":{\"first_name\":\"Johnny\",\"last_name\":\"Test\",\"email\":\"sample@test.com\",\"phone\":\"555-867-5309\",\"street1\":\"123 Fake St\",\"street2\":\"Apt 101\",\"city\":\"Boston\",\"state\":\"MA\",\"zip\":\"02101\",\"country\":\"USA\",\"timezone\":\"America/New_York\",\"gender\":\"M\"}}",
            "description": "",
            "customType": "Profile",
            "schema": [],
            "modelRef": "#/components/schemas/Profile",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Bad Request",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "undefined",
            "example": "{\"title\":\"Bad Request\",\"status\":400,\"timestamp\":\"2018-09-10T21:07:10-05:00\",\"detail\":{\"invalids\":[{\"field\":\"delimiter\",\"reason\":\"Unrecognized delimiter, valid options are comma, tab or pipe\"}]}}",
            "description": "",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "undefined",
            "example": "{  \"message\": \"Forbidden\"}",
            "description": "",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Not Found",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "undefined",
            "example": "{\"title\":\"Bad Request\",\"status\":404,\"timestamp\":\"2018-09-10T21:07:10-05:00\",\"detail\":{\"message\":\"Not found description\"}}",
            "description": "",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "TQEe4Dcvreb0k-Jy1jgmW",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://api.us1.odp.optimizely.com/v3/profiles?params={%22vuid%22%3A%227367361510212356712212576900906231%22}' \\\n     --header 'accept: application/json'"
        },
        {
          "id": "rpu2IOrJLTQNmT9SpdDWW",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.us1.odp.optimizely.com/v3/profiles?params={\\\"vuid\\\":\\\"7367361510212356712212576900906231\\\"}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "RqCPv1u6sse-ZNUwy5f0U",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.us1.odp.optimizely.com/v3/profiles?params={\\\"vuid\\\":\\\"7367361510212356712212576900906231\\\"}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "DhLVWPs7kDRyU44PH48bE",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.us1.odp.optimizely.com/v3/profiles?params={\\\"vuid\\\":\\\"7367361510212356712212576900906231\\\"}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "TQEe4Dcvreb0k-Jy1jgmW"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-202",
          "language": "202",
          "code": "// Accepted\n{}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Bad Request\n\"{\\\"title\\\":\\\"Bad Request\\\",\\\"status\\\":400,\\\"timestamp\\\":\\\"2018-09-10T21:07:10-05:00\\\",\\\"detail\\\":{\\\"invalids\\\":[{\\\"field\\\":\\\"delimiter\\\",\\\"reason\\\":\\\"Unrecognized delimiter, valid options are comma, tab or pipe\\\"}]}}\""
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Forbidden\n\"{  \\\"message\\\": \\\"Forbidden\\\"}\""
        },
        {
          "id": "response-3-404",
          "language": "404",
          "code": "// Not Found\n\"{\\\"title\\\":\\\"Bad Request\\\",\\\"status\\\":404,\\\"timestamp\\\":\\\"2018-09-10T21:07:10-05:00\\\",\\\"detail\\\":{\\\"message\\\":\\\"Not found description\\\"}}\""
        }
      ],
      "selectedLanguageId": "response-0-202"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}